<ion-view title="My Account" id="page23">
    <ion-content padding="true" class="has-header">
        <div class="my-account-page1">
           <div class="item item-divider">
                Customer
            </div>

            <label class="item item-input">
                <span class="input-label">E-mail</span>
                <input type="email" ng-model="email.addr" ng-change="evaluateEmail()" ng-model-options="{debounce: 750}" placeholder="Enter your Customer E-mail">
            </label>

            <div class="card" ng-if="user">

                <div class="item item-avatar">
                    <img ng-if="user.customer.avatar_url" src="{{user.customer.avatar_url}}" />
                    <h2>{{user.customer.last_name}} {{user.customer.first_name}}</h2>
                    <p><span ng-if="user.customer.username"><strong>({{user.customer.username}})</strong></span> created at {{user.customer.created_at | date: 'fullDate'}}</p>
                </div>

                <div class="item item-divider" ng-if="user.customer.last_order_date" ui-sref="menu.orders({customer_id: user.customer.id})">
                Last Order (Date / ID)
                </div>
                <div class="item item-text-wrap" ng-if="user.customer.last_order_date">
                {{user.customer.last_order_date | date: 'fullDate'}} <strong>({{user.customer.last_order_id}})</strong>

                <button class="button button-block button-energized" ui-sref="menu.orders({customer_id: user.customer.id})">
                    View all the Orders
                </button>

                </div>

            </div>
        </div>
        
    </ion-content>
</ion-view>